EUARE-ROLECREATE(1)

NAME
euare-rolecreate - Create a new role

SYNOPSIS
euare-rolecreate [-p PATH] (-f FILE | -s SERVICE) [-v]

[--as-account ACCOUNT] [-U URL] [--region USER@REGION]
    [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] ROLE

DESCRIPTION
Create a new role

  positional arguments:

ROLE
    name of the new role (required)

  optional arguments:

-p PATH, --path PATH
    path for the new role (default: "/")

-f FILE, --trust-policy FILE
    file containing the trust policy for the new role

-s SERVICE, --service SERVICE
    service to allow access to the role (e.g. ec2.amazonaws.com)

-v, --verbose
    print the new role's ARN, GUID, and policy

--as-account ACCOUNT
    [Eucalyptus cloud admin only] run this command as the administrator of another account

-U URL, --url URL
    identity service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit